
var draw_flash = function() {
    getFullPanel(4, 5, 2, 2, "tab-page-basic_systems", "sec-flash", "FLASH", "", "VER 1.0");
    var panel = document.getElementById("sec-flash");
    panel.innerHTML += draw_flash_section_1();
}

var draw_flash_section_1 = function() {
    var html = getSectionTitle('FLASH CONTROL');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'CHIP_S');
    row += getInfoCell('flash-selected-chip', '0');
    row += getInfoCell('', 'FL_STA');
    row += getInfoCell('flash-status', '0');
    rows += getInfoRow(row);
    row = getInfoCell('', 'FL_RD');
    row += getInfoCell('flash-read-pointer', '0');
    row += getInfoCell('', 'FL_WR');
    row += getInfoCell('flash-write-pointer', '0');
    rows += getInfoRow(row);
    row = getInfoCell('flash-chip-select', 'CS');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

draw_flash();